Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# ConsumerAdmin.cpp File Reference

`#include "ConsumerAdmin.h"`
`#include "ConsumerAdmin.inl"`
`#include "ace/Auto_Ptr.h"`
`#include "orbsvcs/ESF/ESF_Proxy_Collection.h"`
`#include "Subscription_Change_Worker.h"`
`#include "Proxy.h"`
`#include "EventChannel.h"`
`#include "Properties.h"`
`#include "Factory.h"`
`#include "Builder.h"`
`#include "Find_Worker_T.h"`
`#include "Seq_Worker_T.h"`

Include dependency graph for ConsumerAdmin.cpp:

## Typedefs
typedef TAO_Notify_Find_Worker_T< TAO_Notify_Proxy, CosNotifyChannelAdmin::ProxySupplier, CosNotifyChannelAdmin::ProxySupplier_ptr, CosNotifyChannelAdmin::ProxyNotFound > | TAO_Notify_ProxySupplier_Find_Worker
typedef TAO_Notify_Seq_Worker_T< TAO_Notify_Proxy > | TAO_Notify_Proxy_Seq_Worker
## Functions
const char * | get_rcsid_RT_Notify_TAO_Notify_ConsumerAdmin (const char *)
## Variables
const char * | rcsid_RT_Notify_TAO_Notify_ConsumerAdmin = get_rcsid_RT_Notify_TAO_Notify_ConsumerAdmin ( rcsid_RT_Notify_TAO_Notify_ConsumerAdmin )

## Typedef Documentation

typedef TAO_Notify_Seq_Worker_T<TAO_Notify_Proxy> TAO_Notify_Proxy_Seq_Worker

typedef TAO_Notify_Find_Worker_T<TAO_Notify_Proxy , CosNotifyChannelAdmin::ProxySupplier , CosNotifyChannelAdmin::ProxySupplier_ptr , CosNotifyChannelAdmin::ProxyNotFound> TAO_Notify_ProxySupplier_Find_Worker

## Function Documentation

const char* get_rcsid_RT_Notify_TAO_Notify_ConsumerAdmin | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_RT_Notify_TAO_Notify_ConsumerAdmin = get_rcsid_RT_Notify_TAO_Notify_ConsumerAdmin ( rcsid_RT_Notify_TAO_Notify_ConsumerAdmin )`[static]`